## r-cran-spp 1.15.5

=== DESCRIPTION ===
Package: spp
Type: Package
Title: ChIP-Seq Processing Pipeline
Version: 1.15.5
Author: Peter K
Date: 2018-07-19
Depends: R (>= 3.3.0), Rcpp
Imports: Rsamtools, caTools, parallel, graphics, stats
Suggests: methods
LinkingTo: Rcpp, BH (>= 1.66)
OS_type: unix
Maintainer: Peter Kharchenko <spppackage.maintenance@gmail.com>
Description: Analysis of ChIP-seq and other functional sequencing data [Kharchenko PV (2008) <DOI:10.1038/nbt.1508>].
License: GPL-2
LazyLoad: yes
Note: revised for compliance with CRAN by K.Pal and C.M.Livi
NeedsCompilation: yes
Packaged: 2018-07-20 14:33:02 UTC; clivi
Repository: CRAN
Date/Publication: 2018-07-20 14:50:02 UTC

=== debian/changelog ===
r-cran-spp (1.15.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rename package to r-cran-spp, because now on CRAN (Closes: #910351).

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Oct 2018 23:22:54 +0200

r-other-hms-dbmi-spp (1.15.2-1) unstable; urgency=medium

  * New upstream version
  * New Build-Depends: r-cran-rcpp

 -- Andreas Tille <tille@debian.org>  Fri, 02 Mar 2018 11:40:33 +0100

r-other-hms-dbmi-spp (1.15-1) unstable; urgency=medium

  * Initial release (closes: #841047)

 -- Andreas Tille <tille@debian.org>  Sat, 20 Jan 2018 16:09:35 +0100

=== debian/control ===
Source: r-cran-spp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-bioc-rsamtools,
               r-cran-catools,
               r-cran-bh
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spp.git
Homepage: https://cran.r-project.org/package=spp

Package: r-cran-spp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Conflicts: r-other-hms-dbmi-spp
Provides: r-other-hms-dbmi-spp
Replaces: r-other-hms-dbmi-spp
Description: GNU R ChIP-seq processing pipeline
 R package for anlaysis of ChIP-seq and other functional sequencing data
  * Assess overall DNA-binding signals in the data and select appropriate
    quality of tag alignment.
  * Discard or restrict positions with abnormally high number of tags.
  * Calculate genome-wide profiles of smoothed tag density and save them
    in WIG files for viewing in other browsers.
  * Calculate genome-wide profiles providing conservative statistical
    estimates of fold enrichment ratios along the genome. These can be
    exported for browser viewing, or thresholded to determine regions of
    significant enrichment/depletion.
  * Determine statistically significant point binding positions
  * Assess whether the set of point binding positions detected at a
    current sequencing depth meets saturation criteria, and if does not,
    estimate what sequencing depth would be required to do so.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/spp_([-\d.]*)\.tar\.gz

## r-cran-spp 1.16.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Package: spp
 Type: Package
 Title: ChIP-Seq Processing Pipeline
-Version: 1.15.5
+Version: 1.16.0
 Author: Peter K
-Date: 2018-07-19
 Depends: R (>= 3.3.0), Rcpp
 Imports: Rsamtools, caTools, parallel, graphics, stats
 Suggests: methods
@@ -15,6 +14,6 @@
 LazyLoad: yes
 Note: revised for compliance with CRAN by K.Pal and C.M.Livi
 NeedsCompilation: yes
-Packaged: 2018-07-20 14:33:02 UTC; clivi
+Packaged: 2019-05-30 07:46:25 UTC; clivi
 Repository: CRAN
-Date/Publication: 2018-07-20 14:50:02 UTC
+Date/Publication: 2019-05-30 13:20:04 UTC

=== debian/changelog ===
r-cran-spp (1.16.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 12:39:44 +0200

r-cran-spp (1.16.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

  [ Dylan Aïssi ]
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Jul 2019 16:35:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-bioc-rsamtools,
                r-cran-catools,
                r-cran-bh
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spp.git
 Homepage: https://cran.r-project.org/package=spp
+Rules-Requires-Root: no
 
 Package: r-cran-spp
 Architecture: any
